Retrieve promoted items available in the cart
curl --request POST \
--url https://v3.minestorecms.com/api/cart/getPromoted \
--header 'Authorization: Bearer <token>'import requests
url = "https://v3.minestorecms.com/api/cart/getPromoted"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v3.minestorecms.com/api/cart/getPromoted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"image": "<string>",
"original_price": 123,
"price": 123,
"is_subs": true,
"quantityGlobalLimit": 123,
"quantityGlobalCurrentLimit": 123,
"quantityUserLimit": 123,
"quantityUserCurrentLimit": 123,
"is_unavailable": true,
"is_virtual_currency_only": true,
"virtual_price": 123
}
]Cart Endpoints
Promoted Packages
Fetches a list of promoted items available in the cart along with their details such as price, availability, and quantity limits.
POST
/
cart
/
getPromoted
Retrieve promoted items available in the cart
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successfully retrieved the promoted items.
ID of the item.
Name of the item.
URL of the item's image.
The original price of the item.
The current promoted price of the item.
Indicates if the item is a subscription.
The global quantity limit for the item.
The current value of the global quantity limit.
The user-specific quantity limit for the item.
The current value of the user-specific quantity limit.
Indicates if the item is unavailable.
Indicates if the item is virtual currency only.
The virtual price of the item.

